# Source code for azure.mgmt.notificationhubs.models.resource_list_keys

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ResourceListKeys(Model):
        """Namespace/NotificationHub Connection String.

        :param primary_connection_string: Gets or sets the
         primaryConnectionString of the created Namespace AuthorizationRule.
        :type primary_connection_string: str
        :param secondary_connection_string: Gets or sets the
         secondaryConnectionString of the created Namespace AuthorizationRule
        :type secondary_connection_string: str
        """

        _attribute_map = {
            'primary_connection_string': {'key': 'primaryConnectionString', 'type': 'str'},
            'secondary_connection_string': {'key': 'secondaryConnectionString', 'type': 'str'},
        }

        def __init__(self, primary_connection_string=None, secondary_connection_string=None):
            self.primary_connection_string = primary_connection_string
            self.secondary_connection_string = secondary_connection_string